package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.Objects;

/**
 * A DTO for the TBSupplies entity.
 */
public class TBSuppliesDTO implements Serializable {

    private Long id;

    private String name;

    private String ingredient;

    private String use;

    private String sku;

    private String description;

    private String manufacturer;

    private Integer quarantinePeriod;

    private String dosage;

    private String packaging;

    private Double jhiSize;

    private String unit;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long tbSuppliesTypeId;

    private String tbSuppliesTypeName;

    private String tbSuppliesTypeDescription;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    private Long tbCustomerId;

    private Double inventory;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIngredient() {
        return ingredient;
    }

    public void setIngredient(String ingredient) {
        this.ingredient = ingredient;
    }

    public String getUse() {
        return use;
    }

    public void setUse(String use) {
        this.use = use;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getDescription() { return description; }

    public void setDescription(String description) { this.description = description;}

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public Integer getQuarantinePeriod() {
        return quarantinePeriod;
    }

    public void setQuarantinePeriod(Integer quarantinePeriod) {
        this.quarantinePeriod = quarantinePeriod;
    }

    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public String getPackaging() {
        return packaging;
    }

    public void setPackaging(String packaging) {
        this.packaging = packaging;
    }

    public Double getJhiSize() {
        return jhiSize;
    }

    public void setJhiSize(Double jhiSize) {
        this.jhiSize = jhiSize;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getTbSuppliesTypeId() {
        return tbSuppliesTypeId;
    }

    public void setTbSuppliesTypeId(Long tBSuppliesTypeId) {
        this.tbSuppliesTypeId = tBSuppliesTypeId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tBCustomerId) {
        this.tbCustomerId = tBCustomerId;
    }

    public Double getInventory() {
        return inventory;
    }

    public void setInventory(Double inventory) {
        this.inventory = inventory;
    }

    public String getTbSuppliesTypeDescription() {
        return tbSuppliesTypeDescription;
    }

    public void setTbSuppliesTypeDescription(String tbSuppliesTypeDescription) {
        this.tbSuppliesTypeDescription = tbSuppliesTypeDescription;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBSuppliesDTO tBSuppliesDTO = (TBSuppliesDTO) o;
        if (tBSuppliesDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBSuppliesDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBSuppliesDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", ingredient='" + getIngredient() + "'" +
            ", use='" + getUse() + "'" +
            ", sku='" + getSku() + "'" +
            ", description='" + getDescription() + "'" +
            ", manufacturer='" + getManufacturer() + "'" +
            ", quarantinePeriod=" + getQuarantinePeriod() +
            ", dosage='" + getDosage() + "'" +
            ", packaging='" + getPackaging() + "'" +
            ", jhiSize=" + getJhiSize() +
            ", unit='" + getUnit() + "'" +
            ", createdDate='" + getCreatedDate() + "'" +
            ", modifiedDate='" + getModifiedDate() + "'" +
            ", deletedDate='" + getDeletedDate() + "'" +
            ", tbSuppliesType=" + getTbSuppliesTypeId() +
            ", createdBy=" + getCreatedById() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            ", tbCustomer=" + getTbCustomerId() +
            "}";
    }

    public String getTbSuppliesTypeName() {
        return tbSuppliesTypeName;
    }

    public void setTbSuppliesTypeName(String tbSuppliesTypeName) {
        this.tbSuppliesTypeName = tbSuppliesTypeName;
    }
}
